### Method

# WebKit2 InputMethodContext filter_key_event

since: 2.28

#### Declaration [src]

    gboolean
    webkit_input_method_context_filter_key_event (
      WebKitInputMethodContext* context,
      GdkEventKey* key_event
    )

#### Description [src]

Allow `key_event` to be handled by the input method.

If `TRUE` is returned, then no further processing should be done for the key event.

Available since: 2.28

#### Parameters

`key_event`

  Type: `GdkEventKey`

  The key event to filter.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the key event was handled, or `FALSE` otherwise.